## python-openstackclient 5.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
six>=1.10.0 # MIT

Babel!=2.4.0,>=2.3.4 # BSD
cliff!=2.9.0,>=2.8.0 # Apache-2.0
openstacksdk>=0.36.0 # Apache-2.0
osc-lib>=2.0.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
python-keystoneclient>=3.22.0 # Apache-2.0
python-novaclient>=15.1.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.23.2 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.5 # BSD
sphinxcontrib-apidoc>=0.2.0 # BSD

# redirect tests in docs
whereto>=0.4.0 # Apache-2.0

# Install these to generate sphinx autodocs
aodhclient>=0.9.0 # Apache-2.0
gnocchiclient>=3.3.1 # Apache-2.0
osc-placement>=1.7.0 # Apache-2.0
python-barbicanclient>=4.5.2 # Apache-2.0
python-congressclient<2000,>=1.9.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-ironicclient>=2.3.0 # Apache-2.0
python-ironic-inspector-client>=1.5.0 # Apache-2.0
python-karborclient>=0.6.0 # Apache-2.0
python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-octaviaclient>=1.11.0 # Apache-2.0
python-rsdclient>=1.0.1 # Apache-2.0
python-saharaclient>=1.4.0 # Apache-2.0
python-searchlightclient>=1.0.0 #Apache-2.0
python-senlinclient>=1.1.0 # Apache-2.0
python-troveclient>=3.1.0 # Apache-2.0
python-watcherclient>=2.5.0 # Apache-2.0
python-zaqarclient>=1.0.0 # Apache-2.0
python-zunclient>=3.6.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (5.2.0-0ubuntu1.20.04.2) focal-security; urgency=medium

  * SECURITY UPDATE: deleting a non existing access rule deletes another
    existing access rule
    - debian/patches/CVE-2023-6110.patch: fix access rule commands to only
      use ID in openstackclient/identity/common.py,
      openstackclient/identity/v3/access_rule.py,
      openstackclient/tests/unit/identity/v3/test_access_rule.py.
    - CVE-2023-6110

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 20 Feb 2024 08:12:46 -0500

python-openstackclient (5.2.0-0ubuntu1.20.04.1) focal; urgency=medium

  * compute: Add missing options for 'server group list' (LP: #1980801)
  * d/p/compute-Add-missing-options-for-server-group-list.patch

 -- Seyeong Kim <seyeong.kim@canonical.com>  Wed, 06 Jul 2022 14:36:00 +0900

python-openstackclient (5.2.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2020 15:59:21 +0100

python-openstackclient (4.0.0-0ubuntu2) focal; urgency=medium

  * d/control: Drop python3-keyring as it is no longer used (LP: #1861268).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 04 Feb 2020 13:28:26 -0500

=== debian/control ===
Source: python-openstackclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 gustavo panizzo <gfa@zumbi.com.ar>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 71),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-crypto,
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-keystoneclient (>= 1:3.22.0),
 python3-mock (>= 2.0.0),
 python3-novaclient (>= 2:15.1.0),
 python3-openstackdocstheme (>= 1.23.2),
 python3-openstacksdk (>= 0.36.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 2.0.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 1.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testtools (>= 2.2.0),
 python3-wrapt (>= 1.7.0),
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstackclient
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstackclient
Homepage: http://wiki.openstack.org/OpenStackClient
Testsuite: autopkgtest-pkg-python

Package: python-openstackclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.

Package: python3-openstackclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-cliff (>= 2.8.0),
 python3-crypto,
 python3-keystoneclient (>= 1:3.22.0),
 python3-novaclient (>= 2:15.1.0),
 python3-openstacksdk (>= 0.36.0),
 python3-osc-lib (>= 2.0.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 1.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Generate bash completion
	pkgos-gen-completion --py3 openstack

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build build .testrepository doc/source/api

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'openstackclient\.tests\.(?!(.*test_shell\.TestShellCli\.test_shell_args_precedence.*|.*test_shell\.TestShellCliEnv\.test_shell_args_precedence_.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/build/man
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-openstackclient-doc/usr/share/doc/python-openstackclient-doc/html
	dh_sphinxdoc -O--buildsystem=python3
endif

override_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/build/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/python-openstackclient/ python-openstackclient-(\d.*)\.tar\.gz

## python-openstackclient 5.4.0

=== requirements.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 six>=1.10.0 # MIT
 
-Babel!=2.4.0,>=2.3.4 # BSD
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
-openstacksdk>=0.36.0 # Apache-2.0
+openstacksdk>=0.48.0 # Apache-2.0
 osc-lib>=2.0.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 python-keystoneclient>=3.22.0 # Apache-2.0
 python-novaclient>=15.1.0 # Apache-2.0
 python-cinderclient>=3.3.0 # Apache-2.0
+stevedore>=2.0.1 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
-openstackdocstheme>=1.23.2 # Apache-2.0
-reno>=2.5.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.5 # BSD
+openstackdocstheme>=2.2.1 # Apache-2.0
+reno>=3.1.0 # Apache-2.0
+sphinx>=2.0.0,!=2.1.0 # BSD
 sphinxcontrib-apidoc>=0.2.0 # BSD
 
 # redirect tests in docs
@@ -14,12 +14,12 @@
 gnocchiclient>=3.3.1 # Apache-2.0
 osc-placement>=1.7.0 # Apache-2.0
 python-barbicanclient>=4.5.2 # Apache-2.0
-python-congressclient<2000,>=1.9.0 # Apache-2.0
 python-designateclient>=2.7.0 # Apache-2.0
 python-heatclient>=1.10.0 # Apache-2.0
 python-ironicclient>=2.3.0 # Apache-2.0
 python-ironic-inspector-client>=1.5.0 # Apache-2.0
 python-karborclient>=0.6.0 # Apache-2.0
+python-manilaclient>=2.0.0 # Apache-2.0
 python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
 python-muranoclient>=0.8.2 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (5.4.0-4) unstable; urgency=medium

  * Add python3-cloudkittyclient as build-depends, so that cloudkitty is
    included in the bash-completion script.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 May 2021 14:53:17 +0200

python-openstackclient (5.4.0-3) unstable; urgency=medium

  * Removed python3-crypto from (build-)depends (Closes: #971307).

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Nov 2020 12:18:50 +0100

python-openstackclient (5.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 17:47:34 +0200

python-openstackclient (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Re-added python3-mock as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 10:29:21 +0200

python-openstackclient (5.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 16:05:39 +0200

python-openstackclient (5.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jun 2020 19:03:52 +0200

python-openstackclient (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 00:07:08 +0200

python-openstackclient (5.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 Apr 2020 18:57:17 +0200

python-openstackclient (4.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 09:28:33 +0200

python-openstackclient (4.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Add trailing tilde to min version depend to allow
    backports.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 10:26:52 +0200

=== debian/control ===
Source: python-openstackclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 gustavo panizzo <gfa@zumbi.com.ar>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-aodhclient <!nodoc>,
 python3-barbicanclient <!nodoc>,
 python3-cinderclient,
 python3-cliff,
 python3-cloudkittyclient <!nodoc>,
 python3-congressclient <!nodoc>,
 python3-coverage,
 python3-ddt,
 python3-designateclient <!nodoc>,
 python3-fixtures,
 python3-glanceclient,
 python3-gnocchiclient <!nodoc>,
 python3-hacking,
 python3-heatclient <!nodoc>,
 python3-ironic-inspector-client <!nodoc>,
 python3-ironicclient <!nodoc>,
 python3-karborclient <!nodoc>,
 python3-keyring,
 python3-keystoneclient (>= 1:3.22.0),
 python3-mistralclient <!nodoc>,
 python3-mock,
 python3-muranoclient <!nodoc>,
 python3-neutronclient <!nodoc>,
 python3-novaclient (>= 2:15.1.0),
 python3-octaviaclient (>= 1.11) <!nodoc>,
 python3-openstackdocstheme <!nodoc>,
 python3-openstacksdk (>= 0.48.0),
 python3-osc-lib (>= 2.0.0),
 python3-osc-placement (>= 1.7.0),
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest <!nocheck>,
 python3-osprofiler,
 python3-requests,
 python3-requests-mock,
 python3-saharaclient <!nodoc>,
 python3-searchlightclient <!nodoc>,
 python3-senlinclient <!nodoc>,
 python3-six,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-stestr <!nocheck>,
 python3-stevedore (>= 2.0.1),
 python3-subunit <!nocheck>,
 python3-tempest <!nocheck>,
 python3-testtools <!nocheck>,
 python3-troveclient (>= 1:3.1.0) <!nodoc>,
 python3-watcherclient (>= 2.5.0),
 python3-wrapt,
 python3-zaqarclient <!nodoc>,
 python3-zunclient (>= 3.6.0) <!nocheck>,
 python3-zunclient (>= 3.6.0) <!nodoc>,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-openstackclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-openstackclient.git
Homepage: http://wiki.openstack.org/OpenStackClient

Package: python-openstackclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.

Package: python3-openstackclient
Architecture: all
Depends:
 python3-cinderclient,
 python3-cliff,
 python3-glanceclient,
 python3-keyring,
 python3-keystoneclient (>= 1:3.22.0),
 python3-neutronclient,
 python3-novaclient (>= 2:15.1.0),
 python3-openstacksdk (>= 0.48.0),
 python3-osc-lib (>= 2.0.0),
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-six,
 python3-stevedore (>= 2.0.1),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf doc/build build .testrepository doc/source/api

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Generate bash completion
	pkgos-gen-completion --py3 openstack

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'openstackclient\.tests\.(?!(.*test_shell\.TestShellCli\.test_shell_args_precedence.*|.*test_shell\.TestShellCliEnv\.test_shell_args_precedence_.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b man doc/source doc/build/man
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-openstackclient-doc/usr/share/doc/python-openstackclient-doc/html
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b man doc/source doc/build/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-openstackclient 5.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

cliff>=3.5.0 # Apache-2.0
iso8601>=0.1.11 # MIT
openstacksdk>=0.53.0 # Apache-2.0
osc-lib>=2.3.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
python-keystoneclient>=3.22.0 # Apache-2.0
python-novaclient>=17.0.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
stevedore>=2.0.1 # Apache-2.0

=== debian/changelog ===
python-openstackclient (5.5.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 13 Apr 2021 09:30:37 +0000

python-openstackclient (5.5.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Apr 2021 15:39:36 -0400

python-openstackclient (5.4.0-0ubuntu1) groovy; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 09 Oct 2020 06:33:57 +0000

python-openstackclient (5.3.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Jul 2020 20:33:41 -0400

=== debian/control ===
Source: python-openstackclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 gustavo panizzo <gfa@zumbi.com.ar>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cinderclient (>= 1:3.3.0),
 python3-cliff (>= 3.5.0),
 python3-coverage (>= 4.0),
 python3-crypto,
 python3-designateclient (>= 2.7.0),
 python3-ddt (>= 1.0.1),
 python3-fixtures (>= 3.0.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-hacking (>= 1.1.0),
 python3-heatclient (>= 1.10.0),
 python3-ironic-inspector-client (>= 1.5.0),
 python3-ironicclient (>= 2.3.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.22.0),
 python3-manilaclient (>= 2.0.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-muranoclient (>= 0.8.2),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:17.0.0),
 python3-octaviaclient (>= 1.11.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.53.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 2.3.0),
 python3-osc-placement (>= 1.7.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 1.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:2.0.1),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testtools (>= 2.2.0),
 python3-troveclient (>= 1:3.1.0),
 python3-watcherclient (>= 2.5.0),
 python3-wrapt (>= 1.7.0),
 python3-zaqarclient (>= 1.0.0),
 python3-zunclient (>= 3.6.0),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-openstackclient
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-openstackclient
Homepage: https://opendev.org/openstack/python-openstackclient
Testsuite: autopkgtest-pkg-python

Package: python-openstackclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.

Package: python3-openstackclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-cliff (>= 3.5.0),
 python3-crypto,
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.22.0),
 python3-novaclient (>= 2:17.0.0),
 python3-openstacksdk (>= 0.53.0),
 python3-osc-lib (>= 2.3.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 1.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:2.0.1),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.

## python-openstackclient 5.6.0

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 cliff>=3.5.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
-openstacksdk>=0.53.0 # Apache-2.0
+openstacksdk>=0.56.0 # Apache-2.0
 osc-lib>=2.3.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (5.6.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Sep 2021 18:36:04 +0000

python-openstackclient (5.6.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 14:06:22 -0400

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
  python3-novaclient (>= 2:17.0.0),
  python3-octaviaclient (>= 1.11.0),
  python3-openstackdocstheme (>= 2.2.1),
- python3-openstacksdk (>= 0.53.0),
+ python3-openstacksdk (>= 0.56.0),
  python3-os-client-config (>= 1.28.0),
  python3-osc-lib (>= 2.3.0),
  python3-osc-placement (>= 1.7.0),
@@ -101,7 +101,7 @@
  python3-iso8601 (>= 0.1.11),
  python3-keystoneclient (>= 1:3.22.0),
  python3-novaclient (>= 2:17.0.0),
- python3-openstacksdk (>= 0.53.0),
+ python3-openstacksdk (>= 0.56.0),
  python3-osc-lib (>= 2.3.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.serialization (>= 1.2.0),

## python-openstackclient 5.6.2

=== debian/changelog ===
python-openstackclient (5.6.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Mon, 28 Jul 2025 08:03:47 +0000

python-openstackclient (5.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 20:50:32 +0200

python-openstackclient (5.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Added myself in copyright and uploaders.
  * Added versioned depends for openstacksdk >= 0.56.0.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Thu, 02 Sep 2021 23:20:04 +0200

python-openstackclient (5.5.0-2) unstable; urgency=medium

  * Add python3-cloudkittyclient and python3-manilaclient to build-depends, so
    they can be included in the bash-completion script.
  * Add Recommends: python-openstackclient-doc (Closes: #991954).
  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 11:45:15 +0200

python-openstackclient (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Debhelper 11.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Mar 2021 08:49:07 +0100

=== debian/control ===
Source: python-openstackclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 gustavo panizzo <gfa@zumbi.com.ar>,
 Thomas Goirand <zigo@debian.org>,
 Sakirnth Nagarasa <sakirnth@gmail.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-aodhclient <!nodoc>,
 python3-barbicanclient <!nodoc>,
 python3-cinderclient,
 python3-cliff (>= 3.5.0),
 python3-cloudkittyclient <!nodoc>,
 python3-congressclient <!nodoc>,
 python3-coverage,
 python3-ddt,
 python3-designateclient <!nodoc>,
 python3-fixtures,
 python3-glanceclient,
 python3-gnocchiclient <!nodoc>,
 python3-hacking,
 python3-heatclient <!nodoc>,
 python3-ironic-inspector-client <!nodoc>,
 python3-ironicclient <!nodoc>,
 python3-iso8601,
 python3-karborclient <!nodoc>,
 python3-keyring,
 python3-keystoneclient,
 python3-manilaclient <!nodoc>,
 python3-mistralclient <!nodoc>,
 python3-mock,
 python3-muranoclient <!nodoc>,
 python3-neutronclient <!nodoc>,
 python3-novaclient,
 python3-octaviaclient <!nodoc>,
 python3-openstackdocstheme <!nodoc>,
 python3-openstacksdk (>= 0.53.0),
 python3-osc-lib (>= 2.3.0),
 python3-osc-placement,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest <!nocheck>,
 python3-osprofiler,
 python3-requests,
 python3-requests-mock,
 python3-saharaclient <!nodoc>,
 python3-searchlightclient <!nodoc>,
 python3-senlinclient <!nodoc>,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-subunit <!nocheck>,
 python3-tempest <!nocheck>,
 python3-testtools <!nocheck>,
 python3-troveclient <!nodoc>,
 python3-watcherclient,
 python3-wrapt,
 python3-zaqarclient <!nodoc>,
 python3-zunclient <!nocheck>,
 python3-zunclient <!nodoc>,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-openstackclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-openstackclient.git
Homepage: http://wiki.openstack.org/OpenStackClient

Package: python-openstackclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.

Package: python3-openstackclient
Architecture: all
Depends:
 python3-cinderclient,
 python3-cliff (>= 3.5.0),
 python3-glanceclient,
 python3-iso8601,
 python3-keyring,
 python3-keystoneclient,
 python3-neutronclient,
 python3-novaclient,
 python3-openstacksdk (>= 0.56.0),
 python3-osc-lib (>= 2.3.0),
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python-openstackclient-doc,
 ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.

## python-openstackclient 5.8.0

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 cliff>=3.5.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
-openstacksdk>=0.56.0 # Apache-2.0
+openstacksdk>=0.61.0 # Apache-2.0
 osc-lib>=2.3.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (5.8.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump minimum version of openstacksdk.

 -- James Page <james.page@ubuntu.com>  Mon, 04 Apr 2022 14:41:18 +0100

python-openstackclient (5.7.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 01 Dec 2021 07:51:45 +0000

python-openstackclient (5.6.0-0ubuntu2) jammy; urgency=medium

  * d/control: Drop python3-crypto from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Nov 2021 09:39:35 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=openstackclient

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Generate bash completion
	pkgos-gen-completion --py3 openstack

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build build .testrepository doc/source/api

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'openstackclient\.tests\.(?!(.*test_shell\.TestShellCli\.test_shell_args_precedence.*|.*test_shell\.TestShellCliEnv\.test_shell_args_precedence_.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/build/man
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-openstackclient-doc/usr/share/doc/python-openstackclient-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/build/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-openstackclient 5.8.1

=== debian/changelog ===
python-openstackclient (5.8.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 11:08:55 +0000

python-openstackclient (5.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 12:10:33 +0100

python-openstackclient (5.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2022 22:47:47 +0100

python-openstackclient (5.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.
  * Run all tests.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Feb 2022 23:26:46 +0100

=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
  python3-novaclient,
  python3-octaviaclient <!nodoc>,
  python3-openstackdocstheme <!nodoc>,
- python3-openstacksdk (>= 0.53.0),
+ python3-openstacksdk (>= 0.61.0),
  python3-osc-lib (>= 2.3.0),
  python3-osc-placement,
  python3-oslo.i18n,
@@ -104,7 +104,7 @@
  python3-keystoneclient,
  python3-neutronclient,
  python3-novaclient,
- python3-openstacksdk (>= 0.56.0),
+ python3-openstacksdk (>= 0.61.0),
  python3-osc-lib (>= 2.3.0),
  python3-oslo.i18n,
  python3-oslo.serialization,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf doc/build build .testrepository doc/source/api

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Generate bash completion
	pkgos-gen-completion --py3 openstack

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'openstackclient\.tests.*'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b man doc/source doc/build/man
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-openstackclient-doc/usr/share/doc/python-openstackclient-doc/html
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b man doc/source doc/build/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-openstackclient 6.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== doc/requirements.txt ===
--- 
+++ 
@@ -18,7 +18,6 @@
 python-heatclient>=1.10.0 # Apache-2.0
 python-ironicclient>=2.3.0 # Apache-2.0
 python-ironic-inspector-client>=1.5.0 # Apache-2.0
-python-karborclient>=0.6.0 # Apache-2.0
 python-manilaclient>=2.0.0 # Apache-2.0
 python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
 python-muranoclient>=0.8.2 # Apache-2.0
@@ -26,7 +25,6 @@
 python-octaviaclient>=1.11.0 # Apache-2.0
 python-rsdclient>=1.0.1 # Apache-2.0
 python-saharaclient>=1.4.0 # Apache-2.0
-python-searchlightclient>=1.0.0 #Apache-2.0
 python-senlinclient>=1.1.0 # Apache-2.0
 python-troveclient>=3.1.0 # Apache-2.0
 python-watcherclient>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (6.0.0-4) unstable; urgency=medium

  * Add Fix_parameter_handling_in_server_add_fixed_ip_cmd.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Mar 2023 11:39:17 +0100

python-openstackclient (6.0.0-3) unstable; urgency=medium

  * Remove python3-congressclient build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Dec 2022 18:29:51 +0100

python-openstackclient (6.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 17:33:28 +0200

python-openstackclient (6.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Sep 2022 09:10:04 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
  python3-cinderclient,
  python3-cliff (>= 3.5.0),
  python3-cloudkittyclient <!nodoc>,
- python3-congressclient <!nodoc>,
  python3-coverage,
  python3-ddt,
  python3-designateclient <!nodoc>,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-openstackclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-openstackclient 6.2.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

cliff>=3.5.0 # Apache-2.0
iso8601>=0.1.11 # MIT
openstacksdk>=0.103.0 # Apache-2.0
osc-lib>=2.3.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
python-keystoneclient>=3.22.0 # Apache-2.0
python-novaclient>=18.1.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
stevedore>=2.0.1 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -1,6 +1,3 @@
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
 openstackdocstheme>=2.2.1 # Apache-2.0
 reno>=3.1.0 # Apache-2.0
 sphinx>=2.0.0,!=2.1.0 # BSD
@@ -14,6 +11,7 @@
 gnocchiclient>=3.3.1 # Apache-2.0
 osc-placement>=1.7.0 # Apache-2.0
 python-barbicanclient>=4.5.2 # Apache-2.0
+python-cyborgclient>=1.2.1 # Apache-2.0
 python-designateclient>=2.7.0 # Apache-2.0
 python-heatclient>=1.10.0 # Apache-2.0
 python-ironicclient>=2.3.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (6.2.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 24 Mar 2023 12:26:53 +0000

python-openstackclient (6.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:09:57 -0400

python-openstackclient (6.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 24 Feb 2023 16:18:34 -0500

python-openstackclient (6.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Bump debhelper compat to 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 18:25:53 -0400

=== debian/control ===
Source: python-openstackclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 gustavo panizzo <gfa@zumbi.com.ar>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cinderclient (>= 1:3.3.0),
 python3-cliff (>= 3.5.0),
 python3-coverage (>= 4.0),
 python3-cyborgclient (>= 1.2.1),
 python3-designateclient (>= 2.7.0),
 python3-ddt (>= 1.0.1),
 python3-fixtures (>= 3.0.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-hacking (>= 1.1.0),
 python3-heatclient (>= 1.10.0),
 python3-ironic-inspector-client (>= 1.5.0),
 python3-ironicclient (>= 2.3.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.22.0),
 python3-manilaclient (>= 2.0.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-muranoclient (>= 0.8.2),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:18.1.0),
 python3-octaviaclient (>= 1.11.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.103.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 2.3.0),
 python3-osc-placement (>= 1.7.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 1.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:2.0.1),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testtools (>= 2.2.0),
 python3-troveclient (>= 1:3.1.0),
 python3-watcherclient (>= 2.5.0),
 python3-wrapt (>= 1.7.0),
 python3-zaqarclient (>= 1.0.0),
 python3-zunclient (>= 3.6.0),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-openstackclient
Homepage: https://opendev.org/openstack/python-openstackclient
Testsuite: autopkgtest-pkg-python

Package: python-openstackclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.

Package: python3-openstackclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-cliff (>= 3.5.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.22.0),
 python3-novaclient (>= 2:18.1.0),
 python3-openstacksdk (>= 0.103.0),
 python3-osc-lib (>= 2.3.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 1.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:2.0.1),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.

## python-openstackclient 6.3.0

=== requirements.txt ===
--- 
+++ 
@@ -4,9 +4,10 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
+cryptography>=2.7 # BSD/Apache-2.0
 cliff>=3.5.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
-openstacksdk>=0.103.0 # Apache-2.0
+openstacksdk>=1.4.0 # Apache-2.0
 osc-lib>=2.3.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (6.3.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 26 Sep 2023 22:58:15 +0000

python-openstackclient (6.3.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Sep 2023 14:34:23 -0400
